import { Directive, Input } from '@angular/core';
import { ParametricBufferGeometry } from 'three';
import { ThreeBufferGeometry } from '../abstracts';
export class ParametricBufferGeometryDirective extends ThreeBufferGeometry {
    constructor() {
        super(...arguments);
        this.geometryType = ParametricBufferGeometry;
    }
    set args(v) {
        this.extraArgs = v;
    }
}
ParametricBufferGeometryDirective.decorators = [
    { type: Directive, args: [{
                selector: 'ngt-parametricBufferGeometry',
                exportAs: 'ngtParametricBufferGeometry',
                providers: [
                    {
                        provide: ThreeBufferGeometry,
                        useExisting: ParametricBufferGeometryDirective,
                    },
                ],
            },] }
];
ParametricBufferGeometryDirective.propDecorators = {
    args: [{ type: Input }]
};
//# sourceMappingURL=parametric-buffer-geometry.directive.js.map